Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Library for the GNOME Bluetooth Subsystem
Name: 		libbtctl
Version: 	0.10.0
Release: 	1
License: 	GPL
Group: 		System/Libraries
URL: 		http://usefulinc.com/software/gnome-bluetooth 
Source: 	http://usefulinc.com/software/gnome-bluetooth/releases/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	autoconf bluez-devel glib-devel gtk-doc
BuildRequires: 	openobex-devel PyGTK-devel gtk2+-devel
BuildRequires: 	python python-devel gettext automake libtool intltool libusb-devel
Patch0:		libbtctl-bluez4.patch
Patch1: 	libbtctl-0.4.1-pydir.patch

%description
Library for the GNOME Bluetooth Subsystem

%package devel
Summary: 	Development files for libbtctl.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	glib-devel

%description devel
This package contains the files needed for developing applications,
which use libbtctl.

%package mono
Summary:        mono bindings for libbtctl
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description mono
mono bindings for libbtctl

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .bluez4
%patch1 -p1 -b .pydir
autoreconf -fi

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/lib*.so.*
%{_libdir}/python?.?/site-packages/*btctl*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/libbtctl.pc
%{_includedir}/libbtctl
%{_datadir}/gtk-doc/html/libbtctl
%{_libdir}/*.la
%{_libdir}/python?.?/site-packages/*.a
%{_libdir}/python?.?/site-packages/*.la

%files mono
%{_libdir}/mono/gac/
%{_libdir}/mono/libbtctl/
%{_pkgconfig}/libbtctl-sharp.pc
%{_datadir}/gapi-2.0/

%changelog
* Tue Sep 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.0-1
- Version update
- added mono support
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.9.0-1
- Version update
* Sat Nov 18 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.2-1
- Initial release
